"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logSectionStart = void 0;
const ci_info_1 = __importStar(require("ci-info"));
let id = 0;
function logSectionStart(sectionName) {
    if (!ci_info_1.isCI)
        return undefined;
    const labels = getLabels(sectionName);
    if (labels) {
        process.stdout.write(labels.start);
        return () => {
            process.stdout.write(labels.end);
        };
    }
    return undefined;
}
exports.logSectionStart = logSectionStart;
function getLabels(sectionName) {
    if (ci_info_1.default.GITHUB_ACTIONS) {
        return {
            start: `::group::${sectionName}\r\n`,
            end: '::endgroup::\r\n',
        };
    }
    else if (ci_info_1.default.GITLAB) {
        id++;
        return {
            start: `section_start:${Math.floor(Date.now() / 1000)}:${id}\\r\\e[0K${sectionName}\r\n`,
            end: `section_end:${Math.floor(Date.now() / 1000)}:${id}\\r\\e[0K`,
        };
    }
    else if (ci_info_1.default.TRAVIS) {
        return {
            start: `travis_fold:start:${sectionName}\r\n`,
            end: `travis_fold:end:${sectionName}\r\n`,
        };
    }
    else if (ci_info_1.default.AZURE_PIPELINES) {
        return {
            start: `##[group]${sectionName}\r\n`,
            end: '##[endgroup]\r\n',
        };
    }
    else if (ci_info_1.default.BUILDKITE) {
        return {
            start: `--- ${sectionName}\r\n`,
            end: '\r\n',
        };
    }
    return null;
}
//# sourceMappingURL=ciLogs.js.map